# Sample Makefile for PDFlib's Perl binding
# $Id: Makefile.sample,v 1.7 2009/09/11 10:32:16 stm Exp $


RM	= rm -f
PERLBIN = perl

all: test

test::
	-$(PERLBIN) hello.pl
	-$(PERLBIN) image.pl
	-$(PERLBIN) pdfclock.pl
	-$(PERLBIN) chartab.pl
	-$(PERLBIN) invoice.pl
	-$(PERLBIN) businesscard.pl
	-$(PERLBIN) starter_3d.pl
	-$(PERLBIN) starter_basic.pl
	-$(PERLBIN) starter_block.pl
	-$(PERLBIN) starter_color.pl
	-$(PERLBIN) starter_fallback.pl
	-$(PERLBIN) starter_geospatial.pl
	-$(PERLBIN) starter_graphics.pl
	-$(PERLBIN) starter_image.pl
	-$(PERLBIN) starter_layer.pl
	-$(PERLBIN) starter_opentype.pl
	-$(PERLBIN) starter_path.pl
	-$(PERLBIN) starter_pcos.pl
	-$(PERLBIN) starter_pdfa1b.pl
	-$(PERLBIN) starter_pdfmerge.pl
	-$(PERLBIN) starter_pdfx3.pl
	-$(PERLBIN) starter_pdfx4.pl
	-$(PERLBIN) starter_pdfx5g.pl
	-$(PERLBIN) starter_portfolio.pl
	-$(PERLBIN) starter_pvf.pl
	-$(PERLBIN) starter_shaping.pl
	-$(PERLBIN) starter_table.pl
	-$(PERLBIN) starter_tagged.pl
	-$(PERLBIN) starter_textflow.pl
	-$(PERLBIN) starter_textline.pl
	-$(PERLBIN) starter_type3font.pl
	-$(PERLBIN) starter_webform.pl

clean::
	$(RM) hello.pdf image.pdf pdfclock.pdf chartab.pdf invoice.pdf
	$(RM) businesscard.pdf quickreference.pdf
	$(RM) starter_*.pdf starter_pcos.txt
